# TSGetType

Gets the TS method type (as a string).

### Synopsis

    #include "petscts.h"
    PetscErrorCode PETSCTS_DLLEXPORT TSGetType(TS ts, TSType *type)

Not Collective

### Input Parameter

ts -The TS

### Output Parameter

type -The name of TS method

### Keywords

TS, timestepper, get, type, name

### See Also

TSSetType()

Level:intermediate
Location: src/ts/interface/tsreg.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages